# Created by pyp2rpm-3.3.8
# does not include docs
#   these require python3 dep: guzzle_spinx_theme
#   have it packaged, but requires mockchain to satisfy (not yet created) buildrequires for *this* package
#   ref: https://linux.die.net/man/1/mockchain 
#   and: '~/git/python-guzzle_sphinx_theme'
%global pypi_name yq
%global pypi_version 3.1.0

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        1%{?dist}
Summary:        Command-line YAML/XML processor - jq wrapper for YAML/XML documents

License:        Apache Software License
URL:            https://github.com/kislyuk/yq
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(argcomplete) >= 1.8.1
BuildRequires:  python3dist(coverage)
BuildRequires:  python3dist(flake8)
BuildRequires:  python3dist(pyyaml) >= 5.3.1
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(setuptools-scm) >= 3.4.3
BuildRequires:  python3dist(toml) >= 0.10
BuildRequires:  python3dist(wheel)
BuildRequires:  python3dist(xmltodict) >= 0.11
BuildRequires:  python3dist(sphinx)

%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(argcomplete) >= 1.8.1
Requires:       python3dist(coverage)
Requires:       python3dist(flake8)
Requires:       python3dist(pyyaml) >= 5.3.1
Requires:       python3dist(setuptools)
Requires:       python3dist(toml) >= 0.10
Requires:       python3dist(wheel)
Requires:       python3dist(xmltodict) >= 0.11
%description
yq: Command-line YAML/XML/TOML processor
jq wrapper for YAML, XML, TOML documents

%prep
%autosetup -n %{pypi_name}-%{pypi_version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

# %check
# %{__python3} setup.py test

%files
%license LICENSE
%doc README.rst
%{_bindir}/tomlq
%{_bindir}/xq
%{_bindir}/yq
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{pypi_version}-py%{python3_version}.egg-info

%changelog
* Wed Nov 16 2022 Josh Lay - 3.1.0-1
- Initial package.
